#include "config.h"

#ifndef STDC_HEADERS
#error "Argh!  This system has non-standard header files!"
#endif

#ifdef STAT_MACROS_BROKEN
#error "Argh!  This system has broken sys/stat.h macros!"
#endif

#include "types.h"
#include "error.h"
#include "fd.h"
#include "io.h"
#include "display.h"
#include "args.h"

int main(int argc, char *argv[])
{
	if (ioInit() != 0) return(1);
	if (displayInit() != 0) return(1);
	if (parse_rcfiles(stderr) != 0) return(1);
	if (parse_args(stderr, argc, argv) != 0) return(1);
	if (ioBegin() != 0) return(1);
	if (displayBegin() != 0) return(1);

	while (!ioIsDone()) {
		ioCheck();
		ioRead();
		ioWrite();
		displayUpdate();
	}

	displayEnd();
	ioEnd();
	return(0);
}

